Bug 3841 - Add a Default ACQ framework
Summary: Add a Default ACQ framework
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: PC All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
: 3843 (view as bug list)
Depends on:
Blocks: 19289
  Show dependency treegraph
 
Reported: 2009-12-03 03:41 UTC by Nicole C. Engard
Modified: 2017-12-20 11:34 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
ACQ error (26.04 KB, image/png)
2009-12-03 15:41 UTC, Chris Cormack
Details
Bug 3841: Add the ACQ framework for new installations (19.92 KB, patch)
2017-10-26 19:11 UTC, Jonathan Druart
Details | Splinter Review
Bug 3841: Add the ACQ framework for new installations (20.62 KB, patch)
2017-10-26 19:22 UTC, Jonathan Druart
Details | Splinter Review
Bug 3841: Add the ACQ framework for new installations (20.55 KB, patch)
2017-10-26 19:53 UTC, Jonathan Druart
Details | Splinter Review
Bug 3841: Add the ACQ framework for new installations (20.71 KB, patch)
2017-10-26 20:15 UTC, Jonathan Druart
Details | Splinter Review
Bug 3841: Add the ACQ framework for new installations (20.70 KB, patch)
2017-10-29 08:59 UTC, Josef Moravec
Details | Splinter Review
Bug 3841: Add the ACQ framework for new installations (20.75 KB, patch)
2017-11-09 14:30 UTC, Nicolas Legrand
Details | Splinter Review
Bug 3841: Add the ACQ framework for new installations (20.81 KB, patch)
2017-11-14 11:02 UTC, Nick Clemens
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:15:39 UTC


---- Reported by nengard@gmail.com 2009-12-03 15:41:15 ----

Created an attachment
ACQ error

When you're adding items to your basket if you don't have an ACQ framework you're presented with an error:

"No ACQ framework, using default. You should create a framework with code ACQ, the items framework would be used"

First - I'm not sure what this "the items framework would be used" means, but more importantly we should just have an ACQ framework by default in the system that the librarians can change to their needs so that this error doesn't appear the first time they enter Acquisitions.



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:15 UTC  ---

This bug was previously known as _bug_ 3841 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=3841
Imported an attachment (id=1601)

Actual time not defined. Setting to 0.0
Setting qa contact to the default for this product.
   This bug either had no qa contact or an invalid one.
The original submitter of attachment 1601 [details] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.

Comment 1 Katrin Fischer 2011-08-15 19:33:08 UTC
Still valid, changing version to master.
Comment 2 Ian Walls 2011-12-15 03:03:46 UTC
*** Bug 3843 has been marked as a duplicate of this bug. ***
Comment 3 Jonathan Druart 2017-10-26 19:11:35 UTC
Created attachment 68635 [details] [review]
Bug 3841: Add the ACQ framework for new installations

This patch adds the acquisition frameworks (frameworkcode=ACQ) for new
installations.
It copies the 952 (MARC21) or 995 (UNIMARC) fields from the default
framework (frameworkcode='')

Test plan:
Create a new installation and make sure the ACQ framework exists.
Comment 4 Jonathan Druart 2017-10-26 19:22:07 UTC
Created attachment 68636 [details] [review]
Bug 3841: Add the ACQ framework for new installations

This patch adds the acquisition frameworks (frameworkcode=ACQ) for new
installations.
It copies the 952 (MARC21) or 995 (UNIMARC) fields from the default
framework (frameworkcode='')

Test plan:
Create a new installation and make sure the ACQ framework exists.
Comment 5 Jonathan Druart 2017-10-26 19:53:45 UTC
Created attachment 68637 [details] [review]
Bug 3841: Add the ACQ framework for new installations

This patch adds the acquisition frameworks (frameworkcode=ACQ) for new
installations.
It copies the 952 (MARC21) or 995 (UNIMARC) fields from the default
framework (frameworkcode='')

Test plan:
Create a new installation and make sure the ACQ framework exists.
Comment 6 Jonathan Druart 2017-10-26 20:15:17 UTC
Created attachment 68638 [details] [review]
Bug 3841: Add the ACQ framework for new installations

This patch adds the acquisition frameworks (frameworkcode=ACQ) for new
installations.
It copies the 952 (MARC21) or 995 (UNIMARC) fields from the default
framework (frameworkcode='')

Test plan:
Create a new installation and make sure the ACQ framework exists.
Comment 7 Josef Moravec 2017-10-29 08:59:35 UTC
Created attachment 68806 [details] [review]
Bug 3841: Add the ACQ framework for new installations

This patch adds the acquisition frameworks (frameworkcode=ACQ) for new
installations.
It copies the 952 (MARC21) or 995 (UNIMARC) fields from the default
framework (frameworkcode='')

Test plan:
Create a new installation and make sure the ACQ framework exists.

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 8 Katrin Fischer 2017-10-29 09:16:51 UTC
I started looking at this yesterday and was wondering why the framework was sometimes mandatory and sometimes optional.

Also: I think we could choose nicer defaults for the ACQ framework, like setting default for not for loan to -1 = on order and remove some fields from display that are very unlikely to be set on order time. Should I open a separate bug report for those suggestions? I think -1 would be really nice to have, otherwise it's just the same as now, but witout the helpful warning on how to change things.
Comment 9 Jonathan Druart 2017-10-30 13:18:34 UTC
I think a first step would be to have a ACQ framework that does not introduce regression and remove the warning message.
This is what does the patch.

The need here was bug 19289.

If ACQ needs to be improved/tweaked, I think it should be done on a separate bug report (maybe it will depend on the MARC flavour, languages, etc.?)
Comment 10 Nicolas Legrand 2017-11-09 14:30:45 UTC
Created attachment 69057 [details] [review]
Bug 3841: Add the ACQ framework for new installations

This patch adds the acquisition frameworks (frameworkcode=ACQ) for new
installations.
It copies the 952 (MARC21) or 995 (UNIMARC) fields from the default
framework (frameworkcode='')

Test plan:
Create a new installation and make sure the ACQ framework exists.

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Signed-off-by: Nicolas Legrand <nicolas.legrand@bulac.fr>
Comment 11 Nick Clemens 2017-11-14 11:02:02 UTC
Created attachment 69138 [details] [review]
Bug 3841: Add the ACQ framework for new installations

This patch adds the acquisition frameworks (frameworkcode=ACQ) for new
installations.
It copies the 952 (MARC21) or 995 (UNIMARC) fields from the default
framework (frameworkcode='')

Test plan:
Create a new installation and make sure the ACQ framework exists.

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Signed-off-by: Nicolas Legrand <nicolas.legrand@bulac.fr>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 12 Jonathan Druart 2017-12-11 17:54:00 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 13 Nick Clemens 2017-12-20 11:34:31 UTC
Awesome work all! Pushed to stable for 17.11.01